# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/pablo/Thesis/opengsurf_1_0

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/pablo/Thesis/opengsurf_1_0

# Include any dependencies generated for this target.
include CMakeFiles/gsurf_match.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/gsurf_match.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/gsurf_match.dir/flags.make

CMakeFiles/gsurf_match.dir/gsurf_match.o: CMakeFiles/gsurf_match.dir/flags.make
CMakeFiles/gsurf_match.dir/gsurf_match.o: gsurf_match.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/pablo/Thesis/opengsurf_1_0/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/gsurf_match.dir/gsurf_match.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/gsurf_match.dir/gsurf_match.o -c /home/pablo/Thesis/opengsurf_1_0/gsurf_match.cpp

CMakeFiles/gsurf_match.dir/gsurf_match.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/gsurf_match.dir/gsurf_match.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/pablo/Thesis/opengsurf_1_0/gsurf_match.cpp > CMakeFiles/gsurf_match.dir/gsurf_match.i

CMakeFiles/gsurf_match.dir/gsurf_match.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/gsurf_match.dir/gsurf_match.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/pablo/Thesis/opengsurf_1_0/gsurf_match.cpp -o CMakeFiles/gsurf_match.dir/gsurf_match.s

CMakeFiles/gsurf_match.dir/gsurf_match.o.requires:
.PHONY : CMakeFiles/gsurf_match.dir/gsurf_match.o.requires

CMakeFiles/gsurf_match.dir/gsurf_match.o.provides: CMakeFiles/gsurf_match.dir/gsurf_match.o.requires
	$(MAKE) -f CMakeFiles/gsurf_match.dir/build.make CMakeFiles/gsurf_match.dir/gsurf_match.o.provides.build
.PHONY : CMakeFiles/gsurf_match.dir/gsurf_match.o.provides

CMakeFiles/gsurf_match.dir/gsurf_match.o.provides.build: CMakeFiles/gsurf_match.dir/gsurf_match.o
.PHONY : CMakeFiles/gsurf_match.dir/gsurf_match.o.provides.build

CMakeFiles/gsurf_match.dir/fasthessian.o: CMakeFiles/gsurf_match.dir/flags.make
CMakeFiles/gsurf_match.dir/fasthessian.o: fasthessian.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/pablo/Thesis/opengsurf_1_0/CMakeFiles $(CMAKE_PROGRESS_2)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/gsurf_match.dir/fasthessian.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/gsurf_match.dir/fasthessian.o -c /home/pablo/Thesis/opengsurf_1_0/fasthessian.cpp

CMakeFiles/gsurf_match.dir/fasthessian.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/gsurf_match.dir/fasthessian.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/pablo/Thesis/opengsurf_1_0/fasthessian.cpp > CMakeFiles/gsurf_match.dir/fasthessian.i

CMakeFiles/gsurf_match.dir/fasthessian.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/gsurf_match.dir/fasthessian.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/pablo/Thesis/opengsurf_1_0/fasthessian.cpp -o CMakeFiles/gsurf_match.dir/fasthessian.s

CMakeFiles/gsurf_match.dir/fasthessian.o.requires:
.PHONY : CMakeFiles/gsurf_match.dir/fasthessian.o.requires

CMakeFiles/gsurf_match.dir/fasthessian.o.provides: CMakeFiles/gsurf_match.dir/fasthessian.o.requires
	$(MAKE) -f CMakeFiles/gsurf_match.dir/build.make CMakeFiles/gsurf_match.dir/fasthessian.o.provides.build
.PHONY : CMakeFiles/gsurf_match.dir/fasthessian.o.provides

CMakeFiles/gsurf_match.dir/fasthessian.o.provides.build: CMakeFiles/gsurf_match.dir/fasthessian.o
.PHONY : CMakeFiles/gsurf_match.dir/fasthessian.o.provides.build

CMakeFiles/gsurf_match.dir/integral.o: CMakeFiles/gsurf_match.dir/flags.make
CMakeFiles/gsurf_match.dir/integral.o: integral.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/pablo/Thesis/opengsurf_1_0/CMakeFiles $(CMAKE_PROGRESS_3)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/gsurf_match.dir/integral.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/gsurf_match.dir/integral.o -c /home/pablo/Thesis/opengsurf_1_0/integral.cpp

CMakeFiles/gsurf_match.dir/integral.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/gsurf_match.dir/integral.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/pablo/Thesis/opengsurf_1_0/integral.cpp > CMakeFiles/gsurf_match.dir/integral.i

CMakeFiles/gsurf_match.dir/integral.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/gsurf_match.dir/integral.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/pablo/Thesis/opengsurf_1_0/integral.cpp -o CMakeFiles/gsurf_match.dir/integral.s

CMakeFiles/gsurf_match.dir/integral.o.requires:
.PHONY : CMakeFiles/gsurf_match.dir/integral.o.requires

CMakeFiles/gsurf_match.dir/integral.o.provides: CMakeFiles/gsurf_match.dir/integral.o.requires
	$(MAKE) -f CMakeFiles/gsurf_match.dir/build.make CMakeFiles/gsurf_match.dir/integral.o.provides.build
.PHONY : CMakeFiles/gsurf_match.dir/integral.o.provides

CMakeFiles/gsurf_match.dir/integral.o.provides.build: CMakeFiles/gsurf_match.dir/integral.o
.PHONY : CMakeFiles/gsurf_match.dir/integral.o.provides.build

CMakeFiles/gsurf_match.dir/ipoint.o: CMakeFiles/gsurf_match.dir/flags.make
CMakeFiles/gsurf_match.dir/ipoint.o: ipoint.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/pablo/Thesis/opengsurf_1_0/CMakeFiles $(CMAKE_PROGRESS_4)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/gsurf_match.dir/ipoint.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/gsurf_match.dir/ipoint.o -c /home/pablo/Thesis/opengsurf_1_0/ipoint.cpp

CMakeFiles/gsurf_match.dir/ipoint.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/gsurf_match.dir/ipoint.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/pablo/Thesis/opengsurf_1_0/ipoint.cpp > CMakeFiles/gsurf_match.dir/ipoint.i

CMakeFiles/gsurf_match.dir/ipoint.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/gsurf_match.dir/ipoint.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/pablo/Thesis/opengsurf_1_0/ipoint.cpp -o CMakeFiles/gsurf_match.dir/ipoint.s

CMakeFiles/gsurf_match.dir/ipoint.o.requires:
.PHONY : CMakeFiles/gsurf_match.dir/ipoint.o.requires

CMakeFiles/gsurf_match.dir/ipoint.o.provides: CMakeFiles/gsurf_match.dir/ipoint.o.requires
	$(MAKE) -f CMakeFiles/gsurf_match.dir/build.make CMakeFiles/gsurf_match.dir/ipoint.o.provides.build
.PHONY : CMakeFiles/gsurf_match.dir/ipoint.o.provides

CMakeFiles/gsurf_match.dir/ipoint.o.provides.build: CMakeFiles/gsurf_match.dir/ipoint.o
.PHONY : CMakeFiles/gsurf_match.dir/ipoint.o.provides.build

CMakeFiles/gsurf_match.dir/surf.o: CMakeFiles/gsurf_match.dir/flags.make
CMakeFiles/gsurf_match.dir/surf.o: surf.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/pablo/Thesis/opengsurf_1_0/CMakeFiles $(CMAKE_PROGRESS_5)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/gsurf_match.dir/surf.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/gsurf_match.dir/surf.o -c /home/pablo/Thesis/opengsurf_1_0/surf.cpp

CMakeFiles/gsurf_match.dir/surf.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/gsurf_match.dir/surf.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/pablo/Thesis/opengsurf_1_0/surf.cpp > CMakeFiles/gsurf_match.dir/surf.i

CMakeFiles/gsurf_match.dir/surf.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/gsurf_match.dir/surf.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/pablo/Thesis/opengsurf_1_0/surf.cpp -o CMakeFiles/gsurf_match.dir/surf.s

CMakeFiles/gsurf_match.dir/surf.o.requires:
.PHONY : CMakeFiles/gsurf_match.dir/surf.o.requires

CMakeFiles/gsurf_match.dir/surf.o.provides: CMakeFiles/gsurf_match.dir/surf.o.requires
	$(MAKE) -f CMakeFiles/gsurf_match.dir/build.make CMakeFiles/gsurf_match.dir/surf.o.provides.build
.PHONY : CMakeFiles/gsurf_match.dir/surf.o.provides

CMakeFiles/gsurf_match.dir/surf.o.provides.build: CMakeFiles/gsurf_match.dir/surf.o
.PHONY : CMakeFiles/gsurf_match.dir/surf.o.provides.build

CMakeFiles/gsurf_match.dir/utils.o: CMakeFiles/gsurf_match.dir/flags.make
CMakeFiles/gsurf_match.dir/utils.o: utils.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/pablo/Thesis/opengsurf_1_0/CMakeFiles $(CMAKE_PROGRESS_6)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/gsurf_match.dir/utils.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/gsurf_match.dir/utils.o -c /home/pablo/Thesis/opengsurf_1_0/utils.cpp

CMakeFiles/gsurf_match.dir/utils.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/gsurf_match.dir/utils.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/pablo/Thesis/opengsurf_1_0/utils.cpp > CMakeFiles/gsurf_match.dir/utils.i

CMakeFiles/gsurf_match.dir/utils.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/gsurf_match.dir/utils.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/pablo/Thesis/opengsurf_1_0/utils.cpp -o CMakeFiles/gsurf_match.dir/utils.s

CMakeFiles/gsurf_match.dir/utils.o.requires:
.PHONY : CMakeFiles/gsurf_match.dir/utils.o.requires

CMakeFiles/gsurf_match.dir/utils.o.provides: CMakeFiles/gsurf_match.dir/utils.o.requires
	$(MAKE) -f CMakeFiles/gsurf_match.dir/build.make CMakeFiles/gsurf_match.dir/utils.o.provides.build
.PHONY : CMakeFiles/gsurf_match.dir/utils.o.provides

CMakeFiles/gsurf_match.dir/utils.o.provides.build: CMakeFiles/gsurf_match.dir/utils.o
.PHONY : CMakeFiles/gsurf_match.dir/utils.o.provides.build

# Object files for target gsurf_match
gsurf_match_OBJECTS = \
"CMakeFiles/gsurf_match.dir/gsurf_match.o" \
"CMakeFiles/gsurf_match.dir/fasthessian.o" \
"CMakeFiles/gsurf_match.dir/integral.o" \
"CMakeFiles/gsurf_match.dir/ipoint.o" \
"CMakeFiles/gsurf_match.dir/surf.o" \
"CMakeFiles/gsurf_match.dir/utils.o"

# External object files for target gsurf_match
gsurf_match_EXTERNAL_OBJECTS =

gsurf_match: CMakeFiles/gsurf_match.dir/gsurf_match.o
gsurf_match: CMakeFiles/gsurf_match.dir/fasthessian.o
gsurf_match: CMakeFiles/gsurf_match.dir/integral.o
gsurf_match: CMakeFiles/gsurf_match.dir/ipoint.o
gsurf_match: CMakeFiles/gsurf_match.dir/surf.o
gsurf_match: CMakeFiles/gsurf_match.dir/utils.o
gsurf_match: CMakeFiles/gsurf_match.dir/build.make
gsurf_match: CMakeFiles/gsurf_match.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking CXX executable gsurf_match"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/gsurf_match.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/gsurf_match.dir/build: gsurf_match
.PHONY : CMakeFiles/gsurf_match.dir/build

CMakeFiles/gsurf_match.dir/requires: CMakeFiles/gsurf_match.dir/gsurf_match.o.requires
CMakeFiles/gsurf_match.dir/requires: CMakeFiles/gsurf_match.dir/fasthessian.o.requires
CMakeFiles/gsurf_match.dir/requires: CMakeFiles/gsurf_match.dir/integral.o.requires
CMakeFiles/gsurf_match.dir/requires: CMakeFiles/gsurf_match.dir/ipoint.o.requires
CMakeFiles/gsurf_match.dir/requires: CMakeFiles/gsurf_match.dir/surf.o.requires
CMakeFiles/gsurf_match.dir/requires: CMakeFiles/gsurf_match.dir/utils.o.requires
.PHONY : CMakeFiles/gsurf_match.dir/requires

CMakeFiles/gsurf_match.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/gsurf_match.dir/cmake_clean.cmake
.PHONY : CMakeFiles/gsurf_match.dir/clean

CMakeFiles/gsurf_match.dir/depend:
	cd /home/pablo/Thesis/opengsurf_1_0 && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/pablo/Thesis/opengsurf_1_0 /home/pablo/Thesis/opengsurf_1_0 /home/pablo/Thesis/opengsurf_1_0 /home/pablo/Thesis/opengsurf_1_0 /home/pablo/Thesis/opengsurf_1_0/CMakeFiles/gsurf_match.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/gsurf_match.dir/depend

